com.amazonaws.auth.policy.actions

## Enum CodebuildActions

- java.lang.Object
- - java.lang.Enum<CodebuildActions>
  - - com.amazonaws.auth.policy.actions.CodebuildActions

All Implemented Interfaces:
  Action, Serializable, Comparable<CodebuildActions>

    public enum CodebuildActions
    extends Enum<CodebuildActions>
    implements Action

The available AWS access control policy actions for AWS CodeBuild.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AllCodebuildActions` Represents any action executed on AWS CodeBuild.
`BatchGetBuilds` Action for the BatchGetBuilds operation.
`BatchGetProjects` Action for the BatchGetProjects operation.
`CreateProject` Action for the CreateProject operation.
`DeleteProject` Action for the DeleteProject operation.
`ListBuilds` Action for the ListBuilds operation.
`ListBuildsForProject` Action for the ListBuildsForProject operation.
`ListCuratedEnvironmentImages` Action for the ListCuratedEnvironmentImages operation.
`ListProjects` Action for the ListProjects operation.
`StartBuild` Action for the StartBuild operation.
`StopBuild` Action for the StopBuild operation.
`UpdateProject` Action for the UpdateProject operation.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getActionName()`
`static CodebuildActions` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CodebuildActions[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AllCodebuildActions

    public static final CodebuildActions AllCodebuildActions

Represents any action executed on AWS CodeBuild.

#### BatchGetBuilds

    public static final CodebuildActions BatchGetBuilds

Action for the BatchGetBuilds operation.

#### BatchGetProjects

    public static final CodebuildActions BatchGetProjects

Action for the BatchGetProjects operation.

#### CreateProject

    public static final CodebuildActions CreateProject

Action for the CreateProject operation.

#### DeleteProject

    public static final CodebuildActions DeleteProject

Action for the DeleteProject operation.

#### ListBuilds

    public static final CodebuildActions ListBuilds

Action for the ListBuilds operation.

#### ListBuildsForProject

    public static final CodebuildActions ListBuildsForProject

Action for the ListBuildsForProject operation.

#### ListCuratedEnvironmentImages

    public static final CodebuildActions ListCuratedEnvironmentImages

Action for the ListCuratedEnvironmentImages operation.

#### ListProjects

    public static final CodebuildActions ListProjects

Action for the ListProjects operation.

#### StartBuild

    public static final CodebuildActions StartBuild

Action for the StartBuild operation.

#### StopBuild

    public static final CodebuildActions StopBuild

Action for the StopBuild operation.

#### UpdateProject

    public static final CodebuildActions UpdateProject

Action for the UpdateProject operation.

### Method Detail

#### values

    public static CodebuildActions[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CodebuildActions c : CodebuildActions.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CodebuildActions valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getActionName

    public String getActionName()

Specified by:
  `getActionName` in interface `Action`